- Main Page
- Namespaces
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CIAO::Config_Handlers::DP_Handler Class Reference

`#include <DP_Handler.h>`

Collaboration diagram for CIAO::Config_Handlers::DP_Handler:

[legend]
List of all members.

## Public Member Functions
| DP_Handler (DeploymentPlan &dp)
| DP_Handler (const ::Deployment::DeploymentPlan &plan)
| ~DP_Handler (void) throw ()
DeploymentPlan const * | xsc (void) const throw (NoPlan)
DeploymentPlan * | xsc (void) throw (NoPlan)
::Deployment::DeploymentPlan const * | plan (void) const throw (NoPlan)
::Deployment::DeploymentPlan * | plan (void) throw (NoPlan)
## Private Member Functions
bool | resolve_plan (DeploymentPlan &dp)
bool | build_xsc (const ::Deployment::DeploymentPlan &plan)
## Private Attributes
auto_ptr< DeploymentPlan > | xsc_dp_
auto_ptr< ::Deployment::DeploymentPlan > | idl_dp_
bool | retval_
## Classes
class | NoPlan

## Constructor & Destructor Documentation

CIAO::Config_Handlers::DP_Handler::DP_Handler | ( | DeploymentPlan & | dp | ) |

Use this constructor if you want to use the XSC->IDL mapping

CIAO::Config_Handlers::DP_Handler::DP_Handler | ( | const ::Deployment::DeploymentPlan & | plan | ) |

Use this constructor if you want to use the IDL->XSC mapping

CIAO::Config_Handlers::DP_Handler::~DP_Handler | ( | void |  | ) | throw ()

## Member Function Documentation

bool CIAO::Config_Handlers::DP_Handler::build_xsc | ( | const ::Deployment::DeploymentPlan & | plan | ) | `[private]`

Deployment::DeploymentPlan * CIAO::Config_Handlers::DP_Handler::plan | ( | void |  | ) | throw (NoPlan)

Deployment::DeploymentPlan const * CIAO::Config_Handlers::DP_Handler::plan | ( | void |  | ) | const throw (NoPlan)

Generates the XSC->IDL mapping. returns null if the method fails or the class was constructed

bool CIAO::Config_Handlers::DP_Handler::resolve_plan | ( | DeploymentPlan & | dp | ) | `[private]`

DeploymentPlan * CIAO::Config_Handlers::DP_Handler::xsc | ( | void |  | ) | throw (NoPlan)

DeploymentPlan const * CIAO::Config_Handlers::DP_Handler::xsc | ( | void |  | ) | const throw (NoPlan)

Generates the IDL->XSC mapping. returns null if the method fails or if the class was constructed with the wrong source.

## Member Data Documentation

auto_ptr< ::Deployment::DeploymentPlan> CIAO::Config_Handlers::DP_Handler::idl_dp_`[private]`

bool CIAO::Config_Handlers::DP_Handler::retval_`[private]`

auto_ptr< DeploymentPlan > CIAO::Config_Handlers::DP_Handler::xsc_dp_`[private]`

The documentation for this class was generated from the following files:

- DP_Handler.h
- DP_Handler.cpp